#include <cstdlib>
#include <iostream>

#include <boost/filesystem.hpp>

#include "test/Tester.h"
#include "nlohmann/json.hpp"
#include "positivegrid/exchange_server.h"


int main(int argc, char* argv[]) {
    if (argc < 2) {
        std::cerr << "usage: " << argv[0] << " config" << std::endl;
        return EXIT_SUCCESS;
    }

    namespace fs = boost::filesystem;
    const auto configFile = fs::absolute(argv[1]);
    if (!fs::is_regular_file(configFile)) {
        std::cerr << "file \"" << argv[1] << "\" is not exist" << std::endl;
        return EXIT_FAILURE;
    }

    using namespace xs::test;
    const Tester tester{configFile};
    for (const auto& service : tester.config_.services_) {
        if (service.type_ == Service::Type::COMMAND) {
            std::cout << "command: " << service.name_;
        } else {
            std::cout << "event: " << service.name_;
        }
        std::cout << ", response: " << service.response_ << std::endl;
    }
}
